Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004965 [JEDI VCL] 00 JVCL Components major always 2009-10-01 15:51 2009-10-05 13:59
Reporter EMBarbosa View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0004965: Freezes on TJvWaitingProgress.OnEnded event with showmessage.
Description Hi all,

  If you put a showmessage, messageDlg or messageBox in a OnEnded event of a JvWaitingProgress, it don't show this box right way. When the event is fired, it doesn't paint the message and buttons, so you cann't click in OK neither the close [x] button. the application it's blocked (freezes, crash, whatever ;)
  TIA,
Additional Information code used:

 new aplication, one Tbutton, one TjvWaitingProgress.

procedure TForm1.Button1Click(Sender: TObject);
begin
  JvWaitingProgress1.Active := True;
end;

procedure TForm1.JvWaitingProgress1Ended(Sender: TObject);
begin
  ShowMessage('ugabuga');
end;

in time, Thanks for help with anothers issues.
Tags No tags attached.
Attached Files

- Relationships
related to 0004955resolvedobones jvWaitingProgress if you activate it freezes the application (or Delphi if is design time) 

-  Notes
(0016211)
EMBarbosa (reporter)
2009-10-01 15:54

Ops sorry,
 I've forgot to mention, Delphi 7.1 here.
TIA,

- Issue History
Date Modified Username Field Change
2009-10-01 15:51 EMBarbosa New Issue
2009-10-01 15:54 EMBarbosa Note Added: 0016211
2009-10-03 22:24 obones Assigned To => obones
2009-10-03 22:24 obones Status new => acknowledged
2009-10-05 13:15 obones Relationship added related to 0004955
2009-10-05 13:59 obones Status acknowledged => resolved
2009-10-05 13:59 obones Fixed in Version => Daily / SVN
2009-10-05 13:59 obones Resolution open => fixed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker